<style>
  #{{ section.id }} {
      background-color: {{ section.settings.bg_color }};
      margin-top: {{ section.settings.margin_top}}px;
      margin-bottom: {{ section.settings.margin_bottom}}px;
      padding-top: {{ section.settings.padding_top}}px;
      padding-bottom: {{ section.settings.padding_bottom}}px;
  }
  #{{ section.id }} [accordion-button]{
    color: #014550;
    font-size: 20px;
    font-weight: 500;
  }
  .fqa-title{
    font-family: 'FinancierDisplay';
    font-size: 50px;
    line-height: 62px;
    font-weight: 300;
    color: #014550;
    font-weight: 300;
    line-height: 1em;
    padding-bottom: 30px;
    text-align: center;
  }
  .fqa-wrapper{
    max-width: 880px;
    margin:0px auto;
  }
  #{{ section.id }} [accordion-button]{
    border-top: 1px solid #c5d1d3;
    cursor: pointer;
    font-size: 20px;
    line-height: 28px;
    color: #014550;
    margin-bottom: -1px;
    padding-top: 30px;
    padding-bottom: 30px;
    padding-right: 30px;
  }
  @media (max-width: 768px){
    .fqa-title{
      font-size: 48px
    }
  }
</style>

<section id="{{ section.id }}">
  <div class="container">
    <h1 class="fqa-title">{{ section.settings.title }}</h1>
    <div class="fqa-wrapper" accordion-container>
      {% for block in section.blocks %}
        <div accordion>
          <div accordion-button class="mark">
            <p>{{ block.settings.title }}</p>
            <i class="icon-minus">
              <svg width="41" height="4" viewBox="0 0 41 4" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M40.9999 0.75H0.919922V3.25H40.9999V0.75Z" fill="#02825C"></path>
              </svg>
            </i>
            <i class="icon-plus">
              <svg width="41" height="41" viewBox="0 0 41 41" fill="none" xmlns="http://www.w3.org/2000/svg">
                <path d="M22.1999 18.79V0H19.6999V18.79H0.919922V21.29H19.6999V40.08H22.1999V21.29H40.9999V18.79H22.1999Z" fill="#02825C"></path>
              </svg>
            </i>
          </div>
          <div accordion-content>{{ block.settings.description }}</div>
        </div>
      {% endfor %}
    </div>
  </div>
</section>

{% schema %}
{
  "name": "FQA",
  "class": "frequantly-asked-question",
  "settings": [
    {
      "type": "color",
      "id": "bg_color",
      "label": "Background color"
    },
    {
      "type": "text",
      "id": "title",
      "label": "Title",
      "default": "Title"
    },
    {
      "type": "header",
      "content": "SECTION MARGIN"
    },
    {
      "type": "range",
      "id": "margin_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Top margin",
      "default": 36
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "Bottom margin",
      "default": 36
    },
    {
      "type": "header",
      "content": "t:sections.all.padding.section_padding_heading"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 36
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 36
    }
  ],
  "blocks": [
    {
      "type": "faq",
      "name": "FAQ",
      "settings": [
        {
          "type": "text",
          "id": "title",
          "default": "Title",
          "label": "Title text"
        },
        {
          "type": "text",
          "id": "description",
          "default": "description",
          "label": "Description text"
        }
      ]
    }
  ],
  "presets": [
    {
      "name": "FQA"
    }
  ]
}
{% endschema %}
